<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<HTML>
	<HEAD>
		<meta http-equiv="Content-Language" content="zh-cn">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link href="${pageContext.request.contextPath}/css/Style.css" rel="stylesheet" type="text/css" />
		<script language="javascript" src="${pageContext.request.contextPath}/js/public.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/jquery/jquery-1.4.2.js"></script>
		<script type="text/javascript">
			function addUser(){
				window.location.href = "${pageContext.request.contextPath}/user/add.jsp";
			}
			
			function deletePerson(pid) {
				var flag = window.confirm("是否删除?");
				if(flag) {
					location.href="${pageContext.request.contextPath}/person?method=delete&pid="+pid;
				} 
			}
			
			$(function() {
				//获取所有option
				$("#education1 option[value='${pageBean.education}']").attr("selected","selected");
			})
			$(function() {
				//获取所有option
				$("#gender option[value='${pageBean.gender}']").attr("selected","selected");
			})
			$(function() {
				//获取所有option
				$("#resume option[value='${pageBean.resume}']").attr("selected","selected");
			})
			
		</script>
	</HEAD>
	<body>
		<br>
		<form id="Form1" name="Form1" action="${pageContext.request.contextPath}/person?method=selectPerson&currentPage=1" method="post">
			<table cellSpacing="1" cellPadding="0" width="100%" align="center" bgColor="#f5fafe" border="0">
				<TBODY>
					<tr>
						<td class="ta_01" align="center" bgColor="#afd1f3">
							<strong>查 询 条 件</strong>
						</td>
					</tr>
					<tr>
						<td>
							<table cellpadding="0" cellspacing="0" border="0" width="100%">
								<tr>
									<td height="22" align="center" bgColor="#f5fafe" class="ta_01">
										用户姓名
									</td>
									<td class="ta_01" bgColor="#ffffff">
										<input type="text" name="realname" size="15" value="${pageBean.realname }" id="Form1_userName" class="bg"/>
									</td>
									<td height="22" align="center" bgColor="#f5fafe" class="ta_01">
										性别：
									</td>
									<td class="ta_01" bgColor="#ffffff">										
										<select name="gender" id="gender">
										    <option value="">--选择性别--</option>
										    <option value="男">男</option>
										    <option value="女">女</option>
										</select>
									</td>
								</tr>
								<tr>
									<td height="22" align="center" bgColor="#f5fafe" class="ta_01">
										学历：
									</td>
									<td class="ta_01" bgColor="#ffffff">										
										<select name="education" id="education1">
										    <option value="">--选择学历--</option>
										    <option value="博士">博士</option>
										    <option value="硕士">硕士</option>
										    <option value="研究生">研究生</option>
										    <option value="本科">本科</option>
										    <option value="专科">专科</option>
										    <option value="高中">高中</option>	
										</select>
									</td>
									<td height="22" align="center" bgColor="#f5fafe" class="ta_01">
										是否上传简历
									</td>
									<td class="ta_01" bgColor="#ffffff">										
										<select name="resume" id="resume">
										    <option value="">--请选择--</option>
										    <option value="1">有</option>
										    <option value="2">无</option>
										</select>
									</td>
								</tr>
								<tr>
									<td width="100" height="22" align="center" bgColor="#f5fafe"
										class="ta_01">
									</td>
									<td class="ta_01" bgColor="#ffffff">
										<font face="宋体" color="red"> &nbsp;</font>
									</td>
									<td align="right" bgColor="#ffffff" class="ta_01"><br><br></td>
									<td align="right" bgColor="#ffffff" class="ta_01">
										<button type="submit" id="search" name="search" value="&#26597;&#35810;" class="button_view">
&#26597;&#35810;
</button>

										&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										<input type="reset" name="reset" value="&#37325;&#32622;" class="button_view"/>

									</td>
								</tr>
							</table>
						</td>

					</tr>
					<tr>
						<td class="ta_01" align="center" bgColor="#afd1f3">
							<strong>人员 列 表</strong>
						</TD>
					</tr>
					<tr>
						<td class="ta_01" align="right">
							<button type="button" id="add" name="add" value="&#28155;&#21152;" class="button_add" onclick="addUser()">
&#28155;&#21152;
</button>
						</td>
					</tr>
					<tr>
						<td class="ta_01" align="center" bgColor="#f5fafe">
							<table cellspacing="0" cellpadding="1" rules="all"
								bordercolor="gray" border="1" id="DataGrid1"
								style="BORDER-RIGHT: gray 1px solid; BORDER-TOP: gray 1px solid; BORDER-LEFT: gray 1px solid; WIDTH: 100%; WORD-BREAK: break-all; BORDER-BOTTOM: gray 1px solid; BORDER-COLLAPSE: collapse; BACKGROUND-COLOR: #f5fafe; WORD-WRAP: break-word">
								<tr
									style="FONT-WEIGHT: bold; FONT-SIZE: 12pt; HEIGHT: 25px; BACKGROUND-COLOR: #afd1f3">

									<td align="center" width="18%">
										登录名
									</td>
									<td align="center" width="17%">
										用户姓名
									</td>
									<td align="center" width="8%">
										性别
									</td>
									<td align="center" width="23%">
										联系电话
									</td>
									<td width="11%" align="center">
										学历
									</td>
									<td width="7%" align="center">
										编辑
									</td>
									<td width="7%" align="center">
										查看
									</td>
									<td width="7%" align="center">
										删除
									</td>
								</tr>
								
								<c:forEach items="${pageBean.list }" var="p">
								<tr onmouseover="this.style.backgroundColor = 'white'"
											onmouseout="this.style.backgroundColor = '#F5FAFE';">
											<td style="CURSOR: hand; HEIGHT: 22px" align="center"
												width="18%">
												${p.username }
											</td>
											<td style="CURSOR: hand; HEIGHT: 22px" align="center"
												width="17%">
												${p.realname }
											</td>
											<td style="CURSOR: hand; HEIGHT: 22px" align="center"
												width="8%">
												${p.gender }
											</td>
											<td style="CURSOR: hand; HEIGHT: 22px" align="center"
												width="23%">
												${p.phone }
											</td>
											<td style="CURSOR: hand; HEIGHT: 22px" align="center">
												${p.education }
											</td>
											<td align="center" style="HEIGHT: 22px">
												<a href="${pageContext.request.contextPath}/person?method=toUpdatePage&pid=${p.pid }">
													<img src="${pageContext.request.contextPath}/images/i_edit.gif" border="0" style="CURSOR: hand">
												</a>
											</td>
											<td align="center" style="HEIGHT: 22px">
												<a href="${pageContext.request.contextPath}/person?method=viewPerson&pid=${p.pid}">
													<img src="${pageContext.request.contextPath}/images/button_view.gif" border="0" style="CURSOR: hand">
												</a>
											</td>
											<td align="center" style="HEIGHT: 22px">
												<a href="#" onclick="deletePerson('${p.pid}');">
													<img src="${pageContext.request.contextPath}/images/i_del.gif" width="16" height="16" border="0" style="CURSOR: hand">
												</a>
											</td>
										</tr>
								</c:forEach>
							</table>
<span>
	当前 ${pageBean.currentPage} 页/ ${pageBean.totalPage}页,共 ${pageBean.totalCount}记录
	&nbsp;
	<a href="${pageContext.request.contextPath}/person?method=selectPerson&currentPage=1&realname=${pageBean.realname}&education=${pageBean.education}&gender=${pageBean.gender}&resume=${pageBean.resume}">首页</a>
	<c:if test="${pageBean.currentPage!=1 }">
		<a href="${pageContext.request.contextPath}/person?method=selectPerson&currentPage=${pageBean.currentPage-1}&realname=${pageBean.realname}&education=${pageBean.education}&gender=${pageBean.gender}&resume=${pageBean.resume}">上一页</a>
	</c:if>
	<c:if test="${pageBean.currentPage!=pageBean.totalPage }">
		<a href="${pageContext.request.contextPath}/person?method=selectPerson&currentPage=${pageBean.currentPage+1}&realname=${pageBean.realname}&education=${pageBean.education}&gender=${pageBean.gender}&resume=${pageBean.resume}">下一页</a>
	</c:if>
	<a href="${pageContext.request.contextPath}/person?method=selectPerson&currentPage=${pageBean.totalPage}&realname=${pageBean.realname}&education=${pageBean.education}&gender=${pageBean.gender}&resume=${pageBean.resume}">尾页</a>
</span>
						</td>
					</tr>
				</TBODY>
			</table>
		</form>
	</body>
</HTML>

