package com.person.dao;

import java.util.List;
import java.util.Map;

import com.person.domain.Person;

public interface PersonDao {

	void addPerson(Person p);

	Person login(Person p);

	List<Person> findAllPage(int begin, int pageSize);

	int findCount();

	Person findOne(String pid);

	void update(Person p);

	void delete(String pid);

	List<Person> selectPerson(Map<String, String> map, int begin, int pageSize);

	int selectCount(Map<String, String> map);

	Boolean panduanUsername(Person p);

	void register(Person p);

}
